QGIS Server: invalid list of of layers in "LayerDrawingOrder" when using embedded groups/layers

2015-04-01 02:54 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: QGIS Server

Affected QGIS version:2.8.1 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20632
Description

When using embedded groups/layers in a QGIS project, QGIS server does not include all individual layers in the element
"LayerDrawingOrder" of the "GetProjectSettings" command. Some layers are ommitted. We need a complete list of every physical layer
(not just groups) for QGIS web client in order to formulate correct WMS queries.

The image attached shows the correct layer order on the left in QGIS desktop and the invalid list in the web-browser showing the results

of the "GetProjectSettings" command.

In my project | embed several groups in parallel from the same linked project.

This is a big problem for us because we use the embedded layers/groups a lot.

Associated revisions

Revision de5a3f5e - 2015-04-09 09:56 AM - Jiirgen Fischer

server: fix 'LayerDrawingOrder' (fixes #12484)

Revision d92e4d64 - 2015-04-26 03:24 PM - Jiirgen Fischer

server: fix 'LayerDrawingOrder’ (fixes #12484)

cherry picked from de5a3f5 + 04324fd

History

#1 - 2015-04-09 12:57 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"de5a3f5e59af724feafd312464b11015411e83ff".
